Retrieve a delta

Returns counter groups that have changed since the last delta token.

Caution

Read the Delta page. There is important information on required implementation!

Note

When a counter group is saved in myProtime, all counter groups are saved, even if there are no changes. This will result in delta events for all counter groups.

Tip

Check the Swagger page for more technical information on the endpoints.

Endpoint details

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/counter-groups?delta

Headers: Authorization: Bearer {token}, User-Agent: {agent} Scope: connector-protimeapi-counter-groups.read

Response properties

Field Type Required Writable Description
changeVersion string — Read-only Property to indicate the order of changes.
id integer — Read-only Internal unique identifier for the counter group.
name.default string — Read-only Default name value of the counter group.
name.translations object — Read-only A list of translated names of the counter group by language code.

Filters

This endpoint does not support filters. A delta always covers all counter groups. A request that includes the filter query parameter is rejected with 400 Bad Request, both when starting a delta (?delta) and when following a deltaLink.

External references

This endpoint does not support external references.

Error responses

Status Condition
400 Unsupported query parameter, such as filter
401 Missing or invalid access token, or insufficient scope
410 Delta token has expired (older than 72 hours)

Examples

Retrieving delta changes for counter groups

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/counter-groups?delta